//
//  BorderlessWindow.m
//  TopHits
//
//  Created by Craig Hockenberry on 10/31/23.
//

#import "BorderlessWindow.h"

@implementation BorderlessWindow

- (id)initWithContentRect:(NSRect)contentRect styleMask:(NSWindowStyleMask)aStyle backing:(NSBackingStoreType)bufferingType defer:(BOOL)flag
{
	NSUInteger styleMask = (NSWindowStyleMaskBorderless | NSWindowStyleMaskNonactivatingPanel);

	self = [super initWithContentRect:contentRect styleMask:styleMask backing:bufferingType defer:NO];
	if (self) {
		[self setLevel:NSPopUpMenuWindowLevel];

		[self setBackgroundColor:NSColor.clearColor];
		[self setOpaque:NO];
		[self setHasShadow:NO];
		
//		[self setCollectionBehavior:(NSWindowCollectionBehaviorStationary | NSWindowCollectionBehaviorMoveToActiveSpace | NSWindowCollectionBehaviorFullScreenAuxiliary)];

	}

	return self;
}

- (void)awakeFromNib
{
	[self setBackgroundColor:NSColor.clearColor];
	//[self setBackgroundColor:[NSColor.yellowColor colorWithAlphaComponent:0.25]];
	[self setOpaque:NO];
	[self setHasShadow:NO];
}

- (BOOL)canBecomeKeyWindow
{
	// custom windows that use the NSBorderlessWindowMask can't become key by default
	return YES;
}

@end
